using FitConnect.Models;
using Newtonsoft.Json;

namespace FitConnect.Services.Models.v1.Submission;

public class SubmissionForPickup : ISubmissionBody {
    [JsonProperty("submissionId")]
    internal Guid Id { get; set; } = Guid.Empty;

    [JsonProperty("caseId")]
    public Guid CaseId { get; init; }

    [JsonProperty("destinationId")]
    public Guid DestinationId { get; init; }

    public Guid SubmissionId => Id;
}
