using FitConnect.Models.v1.Api;

namespace FitConnect.Models;

/// <summary>
/// The current status of the submission.
/// </summary>
public class SubmissionStatus {
    public SubmissionStatus(EventType statusEventType, List<Problems>? problems) {
        SubmissionState = statusEventType;
        Problems = problems;
    }

    public EventType SubmissionState { get; }
    public List<Problems>? Problems { get; }

    public void Deconstruct(out EventType status, out List<Problems>? problems) {
        status = SubmissionState;
        problems = Problems;
    }
}
